Subject: Re: JADE MOUNTAIN...WOW !!!

From: [email-masked] (Ken Finney)
Date: Tue, 01 Aug 95 09:25:31 PDT

[email-masked] writes:

> 
>   I AM IN NO WAY AFFILIATED WITH JADE MOUNTAIN.
> 
>     I just got my free sample issue of the Jade Mountain,
>  Spring/Summer 1995 Catalogue....WAY COOL !!!
> 

I haven't seen a Jade Mountain catalog in years.  At one time
they had the market almost to themselves, but they always charged
more than the other suppliers.  People interested in alternative
energy should check out the catalogs by Real Goods, Backwoods Solar, and 
Alternative Energy Engineering.

-- 
[] SEANEWS [] Seattle Public Access (v.FC 28.8k) []
[email-masked] [] +1 206 747-NEWS (6397) []